package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.model.*;

import java.util.List;

public interface IDataService {
    DataDetailModel getDataDetail(Long id, Long userId, int flag);

    List<DataListModel> getDataIndex(DataSearchModel inputModel, int flag);

    Long getIndexCount(DataSearchModel inputModel, int flag);

    DataApplyPriceModel getDataOpenType(Long id);

    DataApplyPriceModel getDateShareType(Long id);

    ResultState insertDataApply(MyDataShareListModel inputModel, String type, int paramer);

    ResultState<Long> follow(String openOrShare, Long id, Long userId);

    ResultState delfollow(long id, Long loginUserId);

    ResultState offlineConference(DataOfflineConferenceModel  inputModel, Long userId);

    List<DataStructListModel> getDataStructreList(String platform);

    Long getSectorDataTotal(String platform);

    Long getSectorTotal(String platform);

    List<DataViewListModel> getDataViewList(String platform);

}
